HanMacWrdKGraphInternal::FootnoteFrame Struct Reference documentation

HanMacWrdKGraphInternal::FootnoteFrame Struct Referencefinal

Internal: the footnote of a HanMacWrdKGraph. More...

Inheritance diagram for HanMacWrdKGraphInternal::FootnoteFrame:

## Public Member Functions
| FootnoteFrame (Frame const &orig)
| constructor
| ~FootnoteFrame () final
| destructor
std::string | print () const
| print local data
Public Member Functions inherited from HanMacWrdKGraphInternal::Frame
| Frame ()
| constructor
| Frame (Frame const &)=default
virtual | ~Frame ()
| destructor
MWAWBox2f | getBdBox () const
| return the frame bdbox

## Public Attributes
long | m_textFileId
| the text file id
long | m_textFileSubId
| the text file subId
Public Attributes inherited from HanMacWrdKGraphInternal::Frame
int | m_type
| the graph type
long | m_fileId
| the file id
long | m_fileSubId
| the file sub id
int | m_id
| the local id
int | m_page
| the page
MWAWBox2f | m_pos
| the position
float | m_baseline
| the baseline
int | m_posFlags
| the graph anchor flags
MWAWGraphicStyle | m_style
| the style
int | m_borderType
| the border type
MWAWVec2f | m_borders [4]
| the border default size (before using width), 0 means Top, other unknown
bool | m_inGroup
| true if the frame is a child of a group
bool | m_parsed
| true if we have send the data
std::string | m_extra
| an extra string

## Friends
std::ostream & | operator<< (std::ostream &o, FootnoteFrame const &ftn)
| operator<<

## Detailed Description

Internal: the footnote of a HanMacWrdKGraph.

## Constructor & Destructor Documentation

## ◆ FootnoteFrame()

HanMacWrdKGraphInternal::FootnoteFrame::FootnoteFrame | ( | Frame const & | orig | ) |
| inlineexplicit

constructor

Referenced by operator<<.

## ◆ ~FootnoteFrame()

HanMacWrdKGraphInternal::FootnoteFrame::~FootnoteFrame | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ print()

std::string HanMacWrdKGraphInternal::FootnoteFrame::print | ( |  | ) | const
| inline

print local data

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | FootnoteFrame const & | ftn )
| friend

operator<<

## Member Data Documentation

## ◆ m_textFileId

long HanMacWrdKGraphInternal::FootnoteFrame::m_textFileId

the text file id

Referenced by FootnoteFrame(), and print().

## ◆ m_textFileSubId

long HanMacWrdKGraphInternal::FootnoteFrame::m_textFileSubId

the text file subId

Referenced by FootnoteFrame(), and print().

The documentation for this struct was generated from the following file:

- HanMacWrdKGraph.cxx